## systemd 231

=== debian/changelog ===
systemd (231-9ubuntu5) yakkety-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write in systemd-resolved (LP: #1695546)
    - debian/patches/test-resolved-packet-add-a-simple-test-for-our-alloc.patch:
      Add a simple allocation test
    - debian/patches/resolved-simplify-alloc-size-calculation.patch: Simply
      allocation size calculation
    - CVE-2017-9445

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 21 Jun 2017 16:35:26 +0100

systemd (231-9ubuntu4) yakkety; urgency=medium

  * debian/extra/units/systemd-resolved.service.d/resolvconf.conf: if
    resolved is going to be started, make sure this blocks
    network-online.target.  LP: #1673860.
  * debian/patches/resolved-follow-CNAMES-for-DNS-stub-replies.patch:
    Cherry-pick upstream fix for resolved failing to follow CNAMES for DNS
    stub replies. LP: #1647031.
  * debian/patches/logind-update-empty-and-infinity-handling-for-User-T.patch:
    Cherry-pick upstream fix to handle empty and "infinity" values for
    [User]TasksMax.  Closes LP: #1651518.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Mar 2017 22:14:14 -0700

systemd (231-9ubuntu3) yakkety; urgency=medium

  * d/p/0001-libudev-util-change-util_replace_whitespace-to-retur.patch,
    d/p/0002-udev-event-add-replace_whitespace-param-to-udev_even.patch,
    d/p/0003-udev-rules-perform-whitespace-replacement-for-symlin.patch:
    Cherry-pick upstream fixes from Dan Streetman <ddstreet@ieee.org> to
    fix by-id symlinks for devices whose IDs contain whitespace.
    LP: #1647485.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 13 Jan 2017 16:22:48 +0200

systemd (231-9ubuntu2) yakkety; urgency=medium

  [ Dan Streetman ]
  * rules: introduce disk/by-id (model_serial) symlinks for NVMe drives
    (LP: #1642903)

  [ Martin Pitt ]
  * Drop systemd-networkd's "After=dbus.service" ordering, so that it can
    start during early boot (for cloud-init.service). It will auto-connect to
    D-Bus once it becomes available later, and transient (from DHCP) hostname
    and timezone setting do not work in 16.10 anyway. (LP: #1636912)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Nov 2016 13:21:05 +0100

systemd (231-9ubuntu1) yakkety; urgency=medium

  * debian/gbp.conf: Switch to yakkety branch
  * unit: sent change signal before removing the unit if necessary
    (LP: #1632964)
  * networkd: Fix assertion crash on adding VTI with IPv6 addresses
    (LP: #1633274)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Oct 2016 13:11:33 +0200

systemd (231-9git1) yakkety; urgency=medium

  * systemctl: Add --wait option to wait until started units terminate again.
    This is a prerequisite for using systemd for graphical sessions without
    ugly polling.
  * nss-resolve: return NOTFOUND instead of UNAVAIL on resolution errors.
    This makes it possible to configure a fallback to "dns" without breaking
    DNSSEC, with "resolve [!UNAVAIL=return] dns".
  * libnss-resolve.postinst: Skip dns fallback if resolve is present.
    Only fall back to "dns" if nss-resolve is not installed (for the
    architecture of the calling program). Once it is, we never want to fall
    back to "dns" as that breaks enforcing DNSSEC verification and also
    pointlessly retries NXDOMAIN failures. (LP: #1624071)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 02 Oct 2016 10:33:11 +0200

systemd (231-9) unstable; urgency=medium

  * pid1: process zero-length notification messages again.
    Just remove the assertion, the "n" value was not used anyway. This fixes
    a local DoS due to unprocessed/unclosed fds which got introduced by the
    previous fix. (Closes: #839171) (LP: #1628687)
  * pid1: Robustify manager_dispatch_notify_fd()
  * test/networkd-test.py: Add missing writeConfig() helper function.

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 Sep 2016 23:39:24 +0200

systemd (231-8) unstable; urgency=medium

  [ Martin Pitt ]
  * Replace remaining systemctl --failed with --state=failed
    "--failed" is deprecated in favor of --state.
  * debian/shlibs.local.in: More precisely define version of internal shared
    lib.
  * debian/tests/upstream: Drop blacklisting
    These tests now work fine without qemu.
  * debian/tests/storage: Avoid rmmod scsi_debug (LP: #1626737)
  * upstream build system: Install libudev, libsystemd, and nss modules to
    ${rootlibdir}. Drop downstream workaround from debian/rules.
  * Ubuntu: Disable resolved's DNSSEC for the final 16.10 release.
    Resolved's DNSSEC support is still not mature enough, and upstream
    recommends to disable it in stable distro releases still.
  * Fix abort/DoS on zero-length notify message triggers (LP: #1628687)
  * resolved: don't query domain-limited DNS servers for other domains
    (LP: #1588230)

  [ Antonio Ospite ]
  * Update systemd-user pam config to require pam_limits.so.
    (Closes: #838191)

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 Sep 2016 13:40:21 +0200

systemd (231-7) unstable; urgency=medium

  [ Michael Biebl ]
  * fsckd: Do not exit on idle timeout if there are still clients connected
    (Closes: #788050, LP: #1547844)

  [ Martin Pitt ]
  * 73-usb-net-by-mac.rules: Split kernel command line import line.
    Reportedly this makes the rule actually work on some platforms. Thanks Alp
    Toker! (LP: #1593379)
  * debian/tests/boot-smoke: Only run 5 iterations
  * systemd.postinst: Drop obsolete setcap call for systemd-detect-virt.
    Drop corresponding libcap2-bin dependency.
  * debian/tests/systemd-fsckd: Robustify check for "unit was running"
    (LP: #1624406)
  * debian/extra/set-cpufreq: Use powersave with intel_pstate.
    This is what we did on xenial, and apparently powersave is still actually
    better than performance. Thanks to Doug Smythies for the measurements!
    (LP: #1579278)
  * Ubuntu: Move ondemand.service from static to runtime enablement.
    This makes it easier to keep performance, by disabling ondemand.service.
    Side issue in LP: #1579278

