## systemd 232

=== debian/changelog ===
systemd (232-25+deb9u12) stretch; urgency=medium

  * networkd: Do not stop ndisc client in case of conf error.
    When an NDisc error happens, e.g. in case of a prefix change, do not shut
    down the dhcp client. Instead log about it and continue.
    Otherwise networkd might fail to renew the DHCPv4 address and lose IPv4
    connectivity. (Closes: #930353)

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Jul 2019 20:43:29 +0200

systemd (232-25+deb9u11) stretch-security; urgency=high

  * pam-systemd: use secure_getenv() rather than getenv()
    Fixes a vulnerability in the systemd PAM module which insecurely uses
    the environment and lacks seat verification permitting spoofing an
    active session to PolicyKit. (CVE-2019-3842)

 -- Michael Biebl <biebl@debian.org>  Mon, 08 Apr 2019 12:51:41 +0200

systemd (232-25+deb9u10) stretch; urgency=medium

  * journald: fix assertion failure on journal_file_link_data (Closes: #916880)
  * tmpfiles: fix "e" to support shell style globs (Closes: #918400)
  * mount-util: accept that name_to_handle_at() might fail with EPERM.
    Container managers frequently block name_to_handle_at(), returning
    EACCES or EPERM when this is issued. Accept that, and simply fall back
    to fdinfo-based checks. (Closes: #917122)
  * automount: ack automount requests even when already mounted.
    Fixes a race condition in systemd which could result in automount requests
    not being serviced and processes using them to hang, causing denial of
    service. (CVE-2018-1049)
  * core: when deserializing state always use read_line(…, LONG_LINE_MAX, …)
    Fixes improper serialization on upgrade which can influence systemd
    execution environment and lead to root privilege escalation.
    (CVE-2018-15686, Closes: #912005)

 -- Michael Biebl <biebl@debian.org>  Sun, 10 Mar 2019 15:52:46 +0100

systemd (232-25+deb9u9) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Refuse dbus message paths longer than BUS_PATH_SIZE_MAX limit
    (CVE-2019-6454)
  * Allocate temporary strings to hold dbus paths on the heap (CVE-2019-6454)
  * sd-bus: if we receive an invalid dbus message, ignore and proceeed
    (CVE-2019-6454)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 17 Feb 2019 09:22:58 +0100

systemd (232-25+deb9u8) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Address memory leak in dispatch_message_real()
    In dispatch_message_real() memory allocated by set_iovec_field_free()
    is not free()d.
    Follow upstream and introduce specific variables cmdline1 and cmdline2
    and free() those automatically when dispatch_message_real() returns.
  * Correctly allocate core_timestamp on the heap and avoid invalid free()
  * Remove unused core* variables in process_kernel()

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 15 Jan 2019 10:59:43 +0100

systemd (232-25+deb9u7) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * journald: do not store the iovec entry for process commandline on stack
    (CVE-2018-16864) (Closes: #918841)
  * journald: set a limit on the number of fields (1k) (CVE-2018-16865)
    (Closes: #918848)
  * journal-remote: set a limit on the number of fields in a message
    (CVE-2018-16865) (Closes: #918848)
  * journal: fix syslog_parse_identifier() (CVE-2018-16866)
  * journal: do not remove multiple spaces after identifier in syslog message
    (CVE-2018-16866)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 12 Jan 2019 09:38:38 +0100

systemd (232-25+deb9u6) stretch; urgency=medium

  * dhcp6: Make sure we have enough space for the DHCP6 option header.
    Fixes out-of-bounds heap write in systemd-networkd dhcpv6 option
    handling.
    (CVE-2018-15688, LP: #1795921, Closes: #912008)

 -- Michael Biebl <biebl@debian.org>  Sun, 28 Oct 2018 18:02:10 +0100

systemd (232-25+deb9u5) stretch; urgency=medium

  * networkd: Do not fail manager_connect_bus() if dbus is not active yet
    (Closes: #901834)

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Sep 2018 21:40:38 +0200

systemd (232-25+deb9u4) stretch; urgency=medium

  * core/load-fragment: Add RemoveIPC=
    Allow RemoveIPC= to be set in the unit file not only via D-Bus.
    (Closes: #892829)
  * nspawn: Add missing -E to getopt_long.
    The -E alias for --setenv in systemd-nspawn was not working as
    documented. This commit fixes that by adding -E to getopt_long.
    (Closes: #895798)
  * login: Respect --no-wall when cancelling a shutdown request
    (Closes: #897938)

 -- Michael Biebl <biebl@debian.org>  Wed, 13 Jun 2018 22:20:36 +0200

systemd (232-25+deb9u3) stretch; urgency=medium

  [ Cyril Brulebois ]
  * networkd-ndisc: Handle missing mtu gracefully.
    The previous upload made networkd respect the MTU field in IPv6 RA but
    unfortunately broke setups where there's no such field. (Closes: #892794)

 -- Michael Biebl <biebl@debian.org>  Fri, 23 Mar 2018 13:55:43 +0100

systemd (232-25+deb9u2) stretch; urgency=medium

  * networkd: Handle MTU field in IPv6 RA (Closes: #878162)
  * shared: Add a linker script so that all functions are tagged @SD_SHARED
    instead of @Base.
    This helps prevent symbol collisions with other programs and libraries.
    In particular, because PAM modules are loaded into the process that is
    creating the session, and systemd creates PAM sessions, the potential
    for collisions is high. (Closes: #873708)
  * resolved: Fix loop on packets with pseudo dns types.
    CVE-2017-15908 (Closes: #880026)
  * machinectl: Don't output "No machines." with --no-legend option
    (Closes: #880158)

 -- Michael Biebl <biebl@debian.org>  Sun, 03 Dec 2017 15:03:50 +0100

systemd (232-25+deb9u1) stretch; urgency=medium

  [ Dimitri John Ledkov ]
  * Fix out-of-bounds write in systemd-resolved.
    CVE-2017-9445 (Closes: #866147, LP: #1695546)

  [ Michael Biebl ]
  * Be truly quiet in systemctl -q is-enabled (Closes: #866579)

