=== debian/rules ===
--- 
+++ 
@@ -85,7 +85,26 @@
 export DEB_BUILD_PROFILES += noudeb
 endif
 
+# The gold linker is currently broken on mips*. See #851736.
+# Switch to bfd as a temporary workaround.
+ifneq ($(filter $(DEB_BUILD_ARCH), mips mipsel mips64el),)
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-fuse-ld=bfd
+endif
+
+SPLIT_USR_PATHS = \
+	QUOTAON=/sbin/quotaon \
+	QUOTACHECK=/sbin/quotacheck \
+	SETCAP=/sbin/setcap \
+	KILL=/bin/kill \
+	KMOD=/bin/kmod \
+	KEXEC=/sbin/kexec \
+	SULOGIN=/sbin/sulogin \
+	MOUNT_PATH=/bin/mount \
+	UMOUNT_PATH=/bin/umount \
+	$(NULL)
+
 CONFFLAGS = \
+	$(SPLIT_USR_PATHS) \
 	--with-rootprefix= \
 	--with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
 	--with-zshcompletiondir=/usr/share/zsh/vendor-completions \
@@ -95,20 +114,25 @@
 	--with-kbd-loadkeys=/bin/loadkeys \
 	--with-kbd-setfont=/bin/setfont \
 	--with-telinit=/lib/sysvinit/telinit \
+	--with-dbuspolicydir=/etc/dbus-1/system.d/ \
 	--with-support-url=$(SUPPORT_URL) \
 	--without-kill-user-processes \
+	--with-pamconfdir=no \
 	--enable-split-usr \
 	--disable-qrencode \
 	--disable-vconsole \
 	--disable-firstboot \
 	--disable-xkbcommon \
+	--disable-wheel-group \
 	--with-ntp-servers="$(DEFAULT_NTP_SERVERS)"  \
 	--with-system-uid-max=999 \
-	--with-system-gid-max=999
-
-# resolved's DNSSEC support is still not mature enough, disable for stable
-# Debian/Ubuntu releases
-CONFFLAGS += $(shell grep -q yakkety /etc/os-release && echo --with-default-dnssec=no)
+	--with-system-gid-max=999 \
+	--with-nobody-user=nobody \
+	--with-nobody-group=nogroup
+
+# resolved's DNSSEC support is still not mature enough, don't enable it by
+# default on stable Debian/Ubuntu releases
+CONFFLAGS += $(shell grep -qE 'stretch|yakkety|zesty' /etc/os-release && echo --with-default-dnssec=no)
 
 CONFFLAGS_deb = \
 	--enable-selinux \
@@ -214,8 +238,6 @@
 	# occasionally, with filtering out paths which are known to be in /usr:
 	# grep -r /usr debian/install/deb/usr/share/man/|egrep -v '/usr/local|os.*release|factory|zoneinfo|tmpfiles|kernel|foo|machines|sysctl|dbus|include|binfmt'
 	find debian/install/deb/usr/share/man/ -type f | xargs sed -ri 's_/usr(/lib/systemd/system|/lib/systemd/network|/lib/udev|/lib[^/]|/lib/[^a-z])_\1_g'
-	# we don't have a "wheel" group in Debian; https://github.com/systemd/systemd/issues/2492
-	find debian/install/deb/usr/lib/tmpfiles.d/ -type f | xargs sed -ri 's/,(d:)?group:wheel:[^,]+//'
 
 override_dh_auto_clean:
 ifneq (, $(TEST_UPSTREAM))
@@ -249,10 +271,3 @@
 		-name systemd-udev-hwdb-update.service -o \
 		-name ldconfig.service -o \
 		-name etc.conf \) -delete
-	rm -rf debian/install/*/usr/share/factory/
-	# remove symlinks enabling default-on services
-	rm -rf debian/install/*/etc/systemd/system/*.target.wants/
-	# FIXME: generate proper sysusers.d/basic.conf for Debian, and add autopkgtest
-	rm -rf debian/install/*/usr/lib/sysusers.d/*
-	rm -f debian/install/*/lib/systemd/system/*sysusers*.service debian/install/*/lib/systemd/system/*/*sysusers*.service
-ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
